gnome-vfs-parse-ls
3
GNOME-VFS-2.0 Library

# gnome-vfs-parse-ls

convenience functions for modules which want to parse a ls-like directory listing

## Synopsis

    int                 gnome_vfs_parse_ls_lga              (const char *p,
                                                             struct stat *s,
                                                             char **filename,
                                                             char **linkname);

## Description

## Details

### gnome_vfs_parse_ls_lga ()

    int                 gnome_vfs_parse_ls_lga              (const char *p,
                                                             struct stat *s,
                                                             char **filename,
                                                             char **linkname);

Parses the string `p` which is in the form same as the 'ls -al' output and fills in the details in the struct `s`, `filename` and `linkname`.

`p` :

  string containing the data in the form same as 'ls -al'.

`s` :

  pointer to stat structure.

`filename` :

  filename, will be filled here.

`linkname` :

  linkname, will be filled here.

Returns :

  0 if cannot parse `p`, 1 if successful.